    package lab14;


    public class Student {
        private int am;
        private String firstname;
        private String lastname;
        private String yearOfStudy;

        public Student(int am, String firstname, String lastname, String yearOfStudy) {
            this.am = am;
            this.firstname = firstname;
            this.lastname = lastname;
            this.yearOfStudy = yearOfStudy;
        }

        public int getAm() {
            return am;
        }

        public void setAm(int am) {
            this.am = am;
        }

        public String getFirstname() {
            return firstname;
        }

        public void setFirstname(String firstname) {
            this.firstname = firstname;
        }

        public String getLastname() {
            return lastname;
        }

        public void setLastname(String lastname) {
            this.lastname = lastname;
        }

        public String getYearOfStudy() {
            return yearOfStudy;
        }

        public void setYearOfStudy(String yearOfStudy) {
            this.yearOfStudy = yearOfStudy;
        }

        @Override
        public boolean equals(Object o) {
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;

            Student that = (Student) o;

            if (am != that.am) return false;
            if (firstname != null ? !firstname.equals(that.firstname) : that.firstname != null) return false;
            if (lastname != null ? !lastname.equals(that.lastname) : that.lastname != null) return false;
            if (yearOfStudy != null ? !yearOfStudy.equals(that.yearOfStudy) : that.yearOfStudy != null) return false;

            return true;
        }

        @Override
        public int hashCode() {
            int result = am;
            result = 31 * result + (firstname != null ? firstname.hashCode() : 0);
            result = 31 * result + (lastname != null ? lastname.hashCode() : 0);
            result = 31 * result + (yearOfStudy != null ? yearOfStudy.hashCode() : 0);
            return result;
        }

        @Override
        public String toString() {
            return "Student{" +
                    "am=" + am +
                    ", firstname='" + firstname + '\'' +
                    ", lastname='" + lastname + '\'' +
                    ", yearOfStudy='" + yearOfStudy + '\'' +
                    '}';
        }


        public String toUpdateSQLCommand() {
            return "update student set " +
                    "am=" + am +
                    " , firstname='" + firstname + '\'' +
                    " , lastname='" + lastname + '\'' +
                    " , yearOfStudy='" + yearOfStudy + '\'' +
                    " where am=" +am;
        }

    }
