package lab14;

import java.sql.*;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;


public class StudentCollection {
    List<Student> students;


    public StudentCollection() throws SQLException, ClassNotFoundException, IllegalAccessException, InstantiationException {
        students=new ArrayList<Student>();
        Class.forName("com.mysql.jdbc.Driver").newInstance();
        Connection con = DriverManager.getConnection(
                "jdbc:mysql://localhost/university",
                "username",
                "password");
        Statement stmt = con.createStatement();
        ResultSet rs = stmt.executeQuery("SELECT * FROM student");

        while (rs.next()) {
            Student student=new Student(rs.getInt("AM"),rs.getString("firstname"),rs.getString("lastname"),rs.getString("yearofstudy"));
            getStudents().add(student);
        }
        con.close();

    }


    public boolean updateStudent(Student s) throws SQLException, ClassNotFoundException, IllegalAccessException, InstantiationException {

        Class.forName("com.mysql.jdbc.Driver").newInstance();
        Connection con = DriverManager.getConnection(
                "jdbc:mysql://localhost/university",
                "username",
                "password");
        Statement stmt = con.createStatement();
        int result=stmt.executeUpdate(s.toUpdateSQLCommand());
        System.out.println(result+" records affected");
        con.close();
        if (result==1) return true;
        else return false;
    }

    public List<Student> getStudents() {
        return students;
    }


    @Override
    public String toString() {
        return "StudentCollection{" +
                "students=" + Arrays.toString(students.toArray()) +
                '}';
    }


}
